Subject: bug#26688: LXDE: Login fails

From: ng0 <[email-masked]>
Date: Sun, 7 May 2017 17:33:43 +0000

Ludovic Courtès transcribed 2.7K bytes:
> Hi ng0,
> 
> ng0 <[email-masked]> skribis:
> 
> > I would've appended the file if it existed. But $home/.xsession-error
> > doesn't exist here.
> 
> Indeed, not sure why.
> 
> I was able to reproduce the problem in a VM with the attached config.
> It boils down to this:
> 
> --8<---------------cut here---------------start------------->8---
> $ /gnu/store/9fdxlzwbsfzhncwznlx2lrp8rdq61f7v-lxde-common-0.99.2/bin/startlxde 
> cp: cannot stat '/etc/xdg/openbox/LXDE/rc.xml': No such file or directory
> /gnu/store/9fdxlzwbsfzhncwznlx2lrp8rdq61f7v-lxde-common-0.99.2/bin/startlxde: line 47: /gnu/store/9fdxlzwbsfzhncwznlx2lrp8rdq61f7v-lxde-common-0.99.2/bin/lxsession: No such file or directory
> --8<---------------cut here---------------end--------------->8---
> 
> The ‘cp’ error seems harmless but the other one is obviously
> problematic.
> 
> Could you check what’s wrong with ‘startlxde’?
> 
> Thanks!
> 
> Ludo’.
> 

Thanks.

Yes, I will do so though if someone else feels like picking
this bug up, feel free to do so as it could take some time
for me to get back to this.

-- 
https://pragmatique.xyz
PGP: https://people.pragmatique.xyz/ng0/